Vulnerability Assessment & Network Security Forums



If through a vulnerability assessment, a network security issue is detected for the vulnerability below, applying the appropriate security patches in a timely matter is very important.  If you have detected that your system has already been compromised, following CERT's Network Security recovery document will assist with recommended steps for system recovery.


Home >> Browse Vulnerability Assessment Database >> Gentoo Local Security Checks >> [GLSA-200409-14] Samba: Remote printing vulnerability


Vulnerability Assessment Details

[GLSA-200409-14] Samba: Remote printing vulnerability

Vulnerability Assessment Summary
Samba: Remote printing vulnerability

Detailed Explanation for this Vulnerability Assessment
The remote host is affected by the vulnerability described in GLSA-200409-14
(Samba: Remote printing vulnerability)


Due to a bug in the printer_notify_info() function, authorized users could
potentially crash the Samba server by sending improperly handled print
change notification requests in an invalid order. Windows XP SP2 clients
can trigger this behavior by sending a FindNextPrintChangeNotify() request
before previously sending a FindFirstPrintChangeNotify() request.

Impact

A remote authorized user could potentially crash a Samba server after
issuing these out of sequence requests.

Workaround

There is no known workaround at this time.

References:
http://samba.org/samba/history/samba-3.0.6.html
http://www.securityfocus.com/archive/1/373619


Solution:
All Samba users should upgrade to the latest version:
# emerge sync
# emerge -pv ">=net-fs/samba-3.0.6"
# emerge ">=net-fs/samba-3.0.6"


Network Security Threat Level: Medium


Networks Security ID:

Vulnerability Assessment Copyright: (C) 2004 Michel Arboi

Cables, Connectors

IBM SYSTEM X3550 M3 SERVER TWO E5520 2.26GHZ 32GB 1TB SAS
$819.0
IBM SYSTEM X3550 M3 SERVER TWO E5520 2.26GHZ 32GB 1TB SAS pictureIBM HS22 BLADECENTER SERVER E5506 2.13GHZ 8GB RAM 2 X 146GB 15K SAS
$339.0
IBM HS22 BLADECENTER SERVER E5506 2.13GHZ 8GB RAM 2 X 146GB 15K SAS pictureIBM FLEX SYSTEM X440 7917 TWO E5-4650 2.7GHZ 64GB 900GB 10K SAS
$4179.0
IBM FLEX SYSTEM X440 7917 TWO E5-4650 2.7GHZ 64GB 900GB 10K SAS pictureIBM SYSTEM X3650 M5 2.5 SERVER E5-2660V3 2.6GHZ 6 X 16GB 6 X 900GB 10K 6G
$5459.0
IBM SYSTEM X3650 M5 2.5 SERVER E5-2660V3 2.6GHZ 6 X 16GB 6 X 900GB 10K 6G picture


Discussions

No Discussions have been posted on this vulnerability.